| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiTesting.BaseTest.LineSorter Class Reference

Special preprocessor sorting the list of strings (whitespace separated) that follow a signature on a single line. More...

Inheritance diagram for GaudiTesting.BaseTest.LineSorter:
[legend]
Collaboration diagram for GaudiTesting.BaseTest.LineSorter:
[legend]

## Public Member Functions
def | __init__ (self, signature)
def | __processLine__ (self, line)
Public Member Functions inherited from GaudiTesting.BaseTest.FilePreprocessor
def | __processLine__ (self, line)
def | __processFile__ (self, lines)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| signature
| siglen

## Detailed Description

Special preprocessor sorting the list of strings (whitespace separated) that follow a signature on a single line.

Definition at line 742 of file BaseTest.py.

## Constructor & Destructor Documentation

def GaudiTesting.BaseTest.LineSorter.__init__ | ( |  | self,
|  |  | signature
| ) |  |

Definition at line 743 of file BaseTest.py.

743 def __init__(self, signature):
744 self.signature = signature
745 self.siglen = len(signature)
GaudiTesting.BaseTest.LineSorter.siglen
siglen
Definition: BaseTest.py:745
GaudiTesting.BaseTest.LineSorter.__init__
def __init__(self, signature)
Definition: BaseTest.py:743
GaudiTesting.BaseTest.LineSorter.signature
signature
Definition: BaseTest.py:744

## Member Function Documentation

def GaudiTesting.BaseTest.LineSorter.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Definition at line 746 of file BaseTest.py.

746 def __processLine__(self, line):
747 pos = line.find(self.signature)
748 if pos >=0:
749 line = line[:(pos+self.siglen)]
750 lst = line[(pos+self.siglen):].split()
751 lst.sort()
752 line += " ".join(lst)
753 return line
754
GaudiTesting.BaseTest.LineSorter.__processLine__
def __processLine__(self, line)
Definition: BaseTest.py:746
GaudiTesting.BaseTest.LineSorter.siglen
siglen
Definition: BaseTest.py:745
GaudiTesting.BaseTest.LineSorter.signature
signature
Definition: BaseTest.py:744

## Member Data Documentation

GaudiTesting.BaseTest.LineSorter.siglen

Definition at line 745 of file BaseTest.py.

GaudiTesting.BaseTest.LineSorter.signature

Definition at line 744 of file BaseTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py